plt.rcParams['figure.figsize'] = [15, 7]

plt.scatter(df_153g['prodano_CU'], df_153g['vynos'], s = df_153g['vynos_1doklad'], c= df_153g['vynos_1doklad'], cmap='Greens', edgecolor='black',alpha=0.75, linewidth=1)

# Objekt palety barev
cbar=plt.colorbar()
cbar.set_label('Výnos/Osoba')

plt.title("Jednotkový výnos", fontsize = 15)
plt.xlabel('Počet osob')
plt.ylabel('Výnos')


# Dodální anotace bodům grafu
for label, x, y, c in zip(df_153g['Relace'], df_153g['prodano_CU'], df_153g['vynos'], df_153g['vynos_1doklad']):
    # Pokud jednotkový výnos v relaci je vyšší než pro relaci Praha - ČB, pak zobraz popisky bodů
    if c > (df_153g['vynos_1doklad'][df_153g['Relace']=='Praha - České Budějovice']).values.item():
        plt.annotate(
            label,
            xy=(x, y), xytext=(-20, 20),
            textcoords='offset points', ha='right', va='bottom',
            bbox=dict(boxstyle='round,pad=0.5', fc='yellow', alpha=0.5),
            arrowprops=dict(arrowstyle = '->', connectionstyle='arc3,rad=0'))



plt.tight_layout()
plt.grid()
plt.show()